Informazioni sui contenuti di sicurezza di OS X El Capitan 10.11.2, sull'aggiornamento di sicurezza 2015-005 di Yosemite e sull'aggiornamento di sicurezza 2015-008 di Mavericks

In questo documento vengono descritti i contenuti di sicurezza di OS X El Capitan 10.11.2, l'aggiornamento di sicurezza 2015-005 di Yosemite e l'aggiornamento di sicurezza 2015-008 di Mavericks.

Per proteggere i propri clienti, Apple non divulga, illustra o conferma alcun problema relativo alla sicurezza prima di aver eseguito un'indagine approfondita e messo a disposizione le correzioni o gli aggiornamenti necessari. Per ulteriori informazioni, consulta l'articolo relativo alla sicurezza dei prodotti Apple.

Per saperne di più sulla chiave PGP per la sicurezza dei prodotti Apple, consulta l'articolo Come usare la chiave PGP per la sicurezza dei prodotti Apple.

Quando possibile, vengono utilizzati ID CVE per fornire ulteriori informazioni sulle vulnerabilità.

Per saperne di più su altri aggiornamenti di sicurezza, consulta l'articolo Aggiornamenti di sicurezza Apple.

OS X El Capitan 10.11.2, aggiornamento di sicurezza 2015-005 di Yosemite e aggiornamento di sicurezza 2015-008 di Mavericks

  • apache_mod_php

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: diverse vulnerabilità in PHP.

    Descrizione: sono presenti diverse vulnerabilità nelle versioni di PHP precedenti alla 5.5.29, la più grave delle quali può comportare l'esecuzione di codice remoto. Questi problemi vengono risolti aggiornando PHP alla versione 5.5.30.

    ID CVE

    CVE-2015-7803

    CVE-2015-7804

  • AppSandbox

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un'applicazione pericolosa può mantenere l'accesso ai Contatti dopo che l'accesso è stato revocato.

    Descrizione: si verifica un problema nella gestione della sandbox di collegamenti reali. Questo problema viene risolto attraverso un migliore hardening della sandbox dell'app.

    ID CVE

    CVE-2015-7001: Razvan Deaconescu e Mihai Bucicoiu dell'Università Politecnica di Bucharest; Luke Deshotels e William Enck della North Carolina State University; Lucas Vincenzo Davi e Ahmad-Reza Sadeghi della TU Darmstadt

  • Bluetooth

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un utente locale può eseguire codice arbitrario con privilegi di sistema.

    Descrizione: si verifica un problema di danneggiamento della memoria nell'interfaccia Bluetooth HCI. Questo problema viene risolto mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7108: Ian Beer di Google Project Zero

  • CFNetwork HTTPProtocol

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un malintenzionato con una posizione privilegiata sulla rete può ignorare il protocollo HSTS.

    Descrizione: si verifica un problema di convalida degli input nell'elaborazione degli URL. Questo problema viene risolto attraverso una migliore convalida dell'URL.

    ID CVE

    CVE-2015-7094: Tsubasa Iinuma (@llamakko_cafe) di Gehirn Inc. e Muneaki Nishimura (nishimunea)

  • Compressione

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: l'accesso a un sito web pericoloso può causare l'esecuzione di codice arbitrario.

    Descrizione: si verifica un problema di accesso alla memoria non inizializzata in zlib. Questo problema viene risolto attraverso una migliore inizializzazione della memoria e un'ulteriore convalida degli stream di zlib.

    ID CVE

    CVE-2015-7054: j00ru

  • Profili di configurazione

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un malintenzionato locale può installare un profilo di configurazione senza privilegi di amministratore.

    Descrizione: si verifica un problema nell'installazione dei profili di configurazione. Questo problema viene risolto attraverso migliori controlli delle autorizzazioni.

    ID CVE

    CVE-2015-7062: David Mulder di Dell Software

  • CoreGraphics

    Disponibile per: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 e 10.11.1

    Impatto: l'elaborazione di un file di caratteri pericoloso può causare l'esecuzione di codice arbitrario.

    Descrizione: si verifica un problema di danneggiamento della memoria nell'elaborazione dei file di caratteri. Questo problema viene risolto attraverso una migliore convalida dell'input.

    ID CVE

    CVE-2015-7105: John Villamil (@day6reak), Yahoo Pentest Team

  • CoreMedia Playback

    Disponibile per: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 e 10.11.1

    Impatto: l'accesso a un sito web pericoloso può causare l'esecuzione di codice arbitrario.

    Descrizione: si verificano diversi problemi di danneggiamento della memoria nell'elaborazione dei file multimediali dal formato non corretto. Questi problemi vengono risolti mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7074: Apple

    CVE-2015-7075

  • Immagini del disco

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un utente locale può eseguire codice arbitrario con privilegi kernel.

    Descrizione: si verifica un problema di danneggiamento della memoria nell'analisi delle immagini del disco. Questo problema viene risolto mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7110: Ian Beer di Google Project Zero

  • EFI

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un utente locale può eseguire codice arbitrario con privilegi di sistema.

    Descrizione: si verifica un problema nella convalida del percorso nel caricatore kernel. Questo problema viene risolto attraverso una migliore sanitizzazione dell'ambiente.

    ID CVE

    CVE-2015-7063: Apple

  • Contrassegno dei file

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un processo in sandbox può essere in grado di eludere le restrizioni della sandbox.

    Descrizione: si verifica un problema di convalida del percorso nei segnalibri per le app. Questo problema viene risolto attraverso una migliore sanitizzazione dell'ambiente.

    ID CVE

    CVE-2015-7071: Apple

  • Hypervisor

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un utente locale può eseguire codice arbitrario con privilegi di sistema.

    Descrizione: si verifica un problema di tipo use-after-free nella gestione degli oggetti della memoria virtuale. Questo problema viene risolto mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7078: Ian Beer di Google Project Zero

  • iBooks

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: l'analisi di un file iBooks pericoloso può determinare la divulgazione delle informazioni utente.

    Descrizione: si verifica un problema di riferimento a entità esterne XML con l'analisi iBooks. Questo problema viene risolto attraverso una migliore analisi.

    ID CVE

    CVE-2015-7081: Behrouz Sadeghipour (@Nahamsec) e Patrik Fehrenbach (@ITSecurityguard)

  • ImageIO

    Disponibile per: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 e 10.11.1

    Impatto: l'elaborazione di un'immagine pericolosa può causare l'esecuzione di codice arbitrario.

    Descrizione: si verifica un problema di danneggiamento della memoria in ImageIO. Questo problema viene risolto mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7053: Apple

  • Driver Intel Graphics

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un utente locale può eseguire codice arbitrario con privilegi di sistema.

    Descrizione: un problema nella dereferenziazione del puntatore null viene risolto attraverso una migliore convalida dell'input.

    ID CVE

    CVE-2015-7076: Juwei Lin di TrendMicro, beist e ABH di BoB e JeongHoon Shin@A.D.D

  • Driver Intel Graphics

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un utente locale può eseguire codice arbitrario con privilegi di sistema.

    Descrizione: si verifica un problema di danneggiamento della memoria nel driver Intel Graphics. Questo problema viene risolto mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7106: Ian Beer di Google Project Zero, Juwei Lin di TrendMicro, beist e ABH di BoB e JeongHoon Shin@A.D.D

  • Driver Intel Graphics

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un utente locale può eseguire codice arbitrario con privilegi di sistema.

    Descrizione: si verifica un problema di accesso alla memoria fuori dai limiti nel driver Intel Graphics. Questo problema viene risolto mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7077: Ian Beer di Google Project Zero

  • IOAcceleratorFamily

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un'applicazione pericolosa può eseguire codice arbitrario con privilegi di sistema.

    Descrizione: si verifica un problema di danneggiamento della memoria in IOAcceleratorFamily. Questo problema viene risolto mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7109: Juwei Lin di TrendMicro

  • IOHIDFamily

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un'applicazione pericolosa può eseguire codice arbitrario con privilegi di sistema.

    Descrizione: si verificano diversi problemi di danneggiamento della memoria nelle API di IOHIDFamily. Questi problemi vengono risolti mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7111: beist e ABH di BoB

    CVE-2015-7112: Ian Beer di Google Project Zero

  • IOKit SCSI

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un'applicazione pericolosa può eseguire codice arbitrario con privilegi kernel.

    Descrizione: si verifica un problema nella dereferenziazione del puntatore null durante la gestione di alcuni tipi di client utente. Questo problema viene risolto attraverso una migliore convalida.

    ID CVE

    CVE-2015-7068: Ian Beer di Google Project Zero

  • IOThunderboltFamily

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un utente locale può causare un'interruzione del servizio.

    Descrizione: si verifica un problema relativo alla dereferenziazione del puntatore null nella gestione da parte di IOThunderboltFamily di alcuni tipi di client utente. Questo problema viene risolto attraverso una migliore convalida dei contesti di IOThunderboltFamily.

    ID CVE

    CVE-2015-7067: Juwei Lin di TrendMicro

  • Kernel

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un'applicazione locale può causare un'interruzione del servizio.

    Descrizione: diversi problemi di interruzione del servizio vengono risolti attraverso una migliore gestione della memoria.

    ID CVE

    CVE-2015-7040: Lufeng Li di Qihoo 360 Vulcan Team

    CVE-2015-7041: Lufeng Li di Qihoo 360 Vulcan Team

    CVE-2015-7042: Lufeng Li di Qihoo 360 Vulcan Team

    CVE-2015-7043: Tarjei Mandt (@kernelpool)

  • Kernel

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un utente locale può eseguire codice arbitrario con privilegi kernel.

    Descrizione: si verificano diversi problemi di danneggiamento della memoria nel kernel. Questi problemi vengono risolti mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7083: Ian Beer di Google Project Zero

    CVE-2015-7084: Ian Beer di Google Project Zero

  • Kernel

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un utente locale può eseguire codice arbitrario con privilegi kernel.

    Descrizione: si verifica un problema nell'analisi di messaggi mach. Questo problema viene risolto attraverso una migliore convalida dei messaggi mach.

    ID CVE

    CVE-2015-7047: Ian Beer di Google Project Zero

  • Strumenti kext

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un utente locale può eseguire codice arbitrario con privilegi kernel.

    Descrizione: si verifica un problema durante il caricamento delle estensioni del kernel. Questo problema viene risolto attraverso verifiche aggiuntive.

    ID CVE

    CVE-2015-7052: Apple

  • Accesso Portachiavi

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un'applicazione pericolosa può mascherarsi da Server Portachiavi.

    Descrizione: si verifica un problema nell'interazione dell'Accesso Portachiavi con Agente Portachiavi. Questo problema viene risolto rimuovendo la funzionalità legacy.

    ID CVE

    CVE-2015-7045: Luyi Xing e XiaoFeng Wang dell'Indiana University Bloomington, Xiaolong Bai dell'Indiana University Bloomington e della Tsinghua University, Tongxin Li della Peking University, Kai Chen dell'Indiana University Bloomington e dell'Institute of Information Engineering, Xiaojing Liao del Georgia Institute of Technology, Shi-Min Hu della Tsinghua University e Xinhui Han della Peking University

  • libarchive

    Disponibile per: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 e 10.11.1

    Impatto: l'accesso a un sito web pericoloso può causare l'esecuzione di codice arbitrario.

    Descrizione: si verifica un problema di danneggiamento della memoria nell'elaborazione degli archivi. Questo problema viene risolto mediante una migliore gestione della memoria.

    ID CVE

    CVE-2011-2895: @practicalswift

  • libc

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: l'elaborazione di un pacchetto pericoloso può causare l'esecuzione di codice arbitrario.

    Descrizione: si verificano diversi problemi di overflow del buffer nella libreria standard C. Questi problemi vengono risolti attraverso una migliore verifica dei limiti.

    ID CVE

    CVE-2015-7038: Brian D. Wells di E. W. Scripps, Narayan Subramanian di Symantec Corporation/Veritas LLC

    CVE-2015-7039: Maksymilian Arciemowicz (CXSECURITY.COM)

    Voce aggiornata il 3 marzo 2017
  • libexpat

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: sono presenti diverse vulnerabilità in expat.

    Descrizione: si verificano diverse vulnerabilità nella versione di expat precedente alla 2.1.0. Questi problemi vengono risolti aggiornando expat alla versione 2.1.0.

    ID CVE

    CVE-2012-0876: Vincent Danen

    CVE-2012-1147: Kurt Seifried

    CVE-2012-1148: Kurt Seifried

  • libxml2

    Disponibile per: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 e 10.11.1

    Impatto: l'analisi di un documento XML pericoloso può determinare la divulgazione delle informazioni utente.

    Descrizione: si verifica un problema di danneggiamento della memoria nell'analisi di file XML. Questo problema viene risolto mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7115: Wei Lei e Liu Yang della Nanyang Technological University

    CVE-2015-7116: Wei Lei e Liu Yang della Nanyang Technological University

  • OpenGL

    Disponibile per: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 e 10.11.1

    Impatto: l'accesso a un sito web pericoloso può causare l'esecuzione di codice arbitrario.

    Descrizione: si verificano diversi problemi di danneggiamento della memoria in OpenGL. Questi problemi vengono risolti mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7064: Apple

    CVE-2015-7065: Apple

    CVE-2015-7066: Tongbo Luo e Bo Qu di Palo Alto Networks

  • OpenLDAP

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un client non autenticato e collegato in remoto può causare un'interruzione del servizio.

    Descrizione: si verifica un problema relativo alla convalida dell'input in OpenLDAP. Questo problema viene risolto attraverso una migliore convalida dell'input.

    ID CVE

    CVE-2015-6908

  • OpenSSH

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: diverse vulnerabilità in LibreSSL.

    Descrizione: sono presenti diverse vulnerabilità nelle versioni di LibreSSL precedenti alla 2.1.8. Questi problemi vengono risolti con l'aggiornamento di LibreSSL alla versione 2.1.8.

    ID CVE

    CVE-2015-5333

    CVE-2015-5334

  • QuickLook

    Disponibile per: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 e 10.11.1

    Impatto: l'apertura di un file iWork pericoloso può causare l'esecuzione di codice arbitrario.

    Descrizione: si verifica un problema di danneggiamento della memoria nella gestione dei file iWork. Questo problema viene risolto mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7107

  • Sandbox

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un'applicazione pericolosa con privilegi root può ignorare la funzione kernel Address Space Layout Randomization (ASLR).

    Descrizione: si verifica un problema di separazione insufficiente di privilegi in xnu. Questo problema viene risolto attraverso migliori verifiche delle autorizzazioni.

    ID CVE

    CVE-2015-7046: Apple

  • Sicurezza

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un malintenzionato collegato in remoto potrebbe causare la chiusura improvvisa di un'applicazione o l'esecuzione di codice arbitrario.

    Descrizione: si verifica un problema di danneggiamento della memoria nella gestione degli handshake SSL. Questo problema viene risolto mediante una migliore gestione della memoria.

    ID CVE

    CVE-2015-7073: Benoit Foucher di ZeroC, Inc.

  • Sicurezza

    Disponibile per: OS X Mavericks 10.9.5 e OS X Yosemite 10.10.5

    Impatto: l'elaborazione di un certificato pericoloso può causare l'esecuzione di codice arbitrario.

    Descrizione: si verificano diversi problemi di danneggiamento della memoria nel decoder ASN.1. Questi problemi vengono risolti attraverso una migliore convalida dell'input

    ID CVE

    CVE-2015-7059: David Keeler di Mozilla

    CVE-2015-7060: Tyson Smith di Mozilla

    CVE-2015-7061: Ryan Sleevi di Google

  • Sicurezza

    Disponibile per: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 e 10.11.1

    Impatto: un'applicazione pericolosa può ottenere l'accesso agli elementi del portachiavi di un utente.

    Descrizione: si verifica un problema nella convalida degli elenchi di controllo accessi per gli elementi del portachiavi. Questo problema viene risolto attraverso migliori controlli degli elenchi di controllo accessi.

    ID CVE

    CVE-2015-7058

  • Protezione integrata di sistema

    Disponibile per: OS X El Capitan 10.11 e 10.11.1

    Impatto: un'applicazione pericolosa con privilegi root può eseguire codice arbitrario con privilegi di sistema.

    Descrizione: si verifica un problema dei privilegi nella gestione degli union mount. Questo problema viene risolto attraverso migliori verifiche delle autorizzazioni.

    ID CVE

    CVE-2015-7044: MacDefender

Note

  • L'aggiornamento di sicurezza 2015-005 o 2015-008 è consigliato a tutti gli utenti e migliora la sicurezza di OS X. Dopo aver installato questo aggiornamento, il plugin per il browser web QuickTime 7 non sarà più abilitato di default. Scopri cosa fare se hai ancora bisogno di questo plugin legacy.

  • In OS X El Capitan 10.11.2 sono inclusi i contenuti di sicurezza di Safari 9.0.2.

Le informazioni relative ai prodotti non fabbricati da Apple o ai siti web indipendenti non controllati o testati da Apple vengono fornite senza raccomandazioni o approvazioni. Apple non si assume alcuna responsabilità in merito alla scelta, alle prestazioni o all'utilizzo di prodotti o siti web di terze parti. Apple non esprime alcuna opinione in merito alla precisione o all'affidabilità dei siti web di terze parti. Esistono rischi impliciti nell'uso di internet. Per ulteriori informazioni contattare il fornitore. Altri nomi di aziende e prodotti potrebbero essere marchi dei rispettivi proprietari.

Data di pubblicazione: